[Japanese]

JVNDB-2014-000102

Kindle App for Android fails to verify SSL server certificates

Overview

Kindle App for Android fails to verify SSL server certificates.

Hiroshi Tokumaru of HASH Consulting Corp. reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 4.0 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: High
  • Authentication: None
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


Amazon.com, Inc.
  • Kindle App for Android versions prior to 4.5.0

Impact

A man-in-the-middle attack may allow an attacker to eavesdrop on an encrypted communication.
Solution

[Update the Software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Amazon.com, Inc.
CWE (What is CWE?)

  1. No Mapping(CWE-Other) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2014-3908
References

  1. JVN : JVN#17637243
  2. National Vulnerability Database (NVD) : CVE-2014-3908
Revision History

[2014/08/29]
  Web page was published
[2014/09/03]
  References : Content was added